MODULE comgeomfi
  IMPLICIT NONE
  SAVE

  REAL, allocatable :: long(:), lati(:), area(:), &
       sinlon(:), coslon(:), sinlat(:), coslat(:)
  REAL :: totarea
  INTEGER :: ngridmax,nlayermx,nsoilmx
!$OMP THREADPRIVATE(long,lati,area,sinlon,coslon,sinlat,coslat,totarea)
!$OMP THREADPRIVATE(ngridmax,nlayermx,nsoilmx)

CONTAINS
    
  SUBROUTINE InitComgeomfi
    USE mod_phys_lmdz_para
    USE dimphy, ONLY : klon,klev
    USE geometry_mod, ONLY : latitude_deg,longitude_deg
    
    print*,'Dans initcomgeomfi '
    ngridmax=klon_omp
    nlayermx=klev
    nsoilmx=10
    print*,'ngridmax,nlayermx',ngridmax,nlayermx
 
    allocate(long(klon_omp))
    allocate(lati(klon_omp))
    long=longitude_deg
    lati=latitude_deg
    allocate(area(klon_omp))
    allocate(sinlon(klon_omp))
    allocate(coslon(klon_omp))
    allocate(sinlat(klon_omp))
    allocate(coslat(klon_omp))

  END SUBROUTINE InitComgeomfi
  
END MODULE comgeomfi
